Bug 43322 - RFE: Prefer swapfiles rather than swap partitions at install.
RFE: Prefer swapfiles rather than swap partitions at install.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-03 02:12 EDT by Ed McKenzie
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-03 16:15:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed McKenzie 2001-06-03 02:12:34 EDT
Enhancement Request: Create swapfiles rather than swap partitions at install.

Rationale:

1. Swapfiles can be resized without having to repartition.  Also, this
would make it possible to install RHL on dual-boot machines that for
various reasons don't support out-of-order partitions or strange booting
strategies.  (IMO, it should be possible to install RHL in a single
partition anywhere without having to repartition.)

2. AFAIK bad blocks that develop after mkswap can't be remapped.  This is
not the case for swap files.

3. The performance loss for using swapfiles is negligible.

(Of course, there's alot to be considered here -- e.g. if RedHat starts
shipping ext3, what happens to system performance if users enable -o
journal=data on root fs ... but I think this is definitely something to be
explored.)
Comment 1 Brent Fox 2001-07-03 16:15:10 EDT
I don't think we want to do this this time around.

Note You need to log in before you can comment on or make changes to this bug.